#include <NEXTION_LEDs.h>

#include "string.h"

#FUSES NOMCLR

#use rs232(baud=9600, stop=1, parity=N, xmit=PIN_C6, rcv=PIN_C7, bits=8)

#define LED1   PIN_D0
#define LED2   PIN_D1
#define LED3   PIN_D2

char recibido[15];

void leds();

#int_rda
void rda_isr()
{
   memset(recibido, 0, sizeof(recibido)); //limpia los registros de la varible
   int8 i=0;
   while(true)
   {
      recibido[i] = getc();//RECIBE EL CARACTER
      
      if (recibido[i] == 255 ){return;} //inicio de pantalla nextion

      if(recibido[i] == '\n')//busca el salto de linea \r\n
      {
         recibido[i-1] = '\0';  //  \r = \0 (caracter nulo)
         recibido[i] = '\0';   //  \n = \0 (caracter nulo)

         leds();
         return;
      }
      i++;
   }
}

void leds()
{
   signed int8 result;

   char LED1_ON[8] = "LED1_ON";
   char LED1_OFF[9] = "LED1_OFF";

   char LED2_ON[8] = "LED2_ON";
   char LED2_OFF[9] = "LED2_OFF";

   char LED3_ON[8] = "LED3_ON";
   char LED3_OFF[9] = "LED3_OFF";

   while (true)
   {

      result = strcmp(recibido, LED1_ON);//compara, si son iguales (0), no (+-1)

      if(result==0)
      {
         OUTPUT_BIT(LED1,1);
         return;
      }//enciende el led1

      result = strcmp(recibido, LED1_OFF);

      if(result==0)
      {
         OUTPUT_BIT(LED1,0);
         return;
      }

      result = strcmp(recibido, LED2_ON);

      if(result==0)
      {
         OUTPUT_BIT(LED2,1);
         return;
      }

      result = strcmp(recibido, LED2_OFF);

      if(result==0)
      {
         OUTPUT_BIT(LED2,0);
         return;
      }

      result = strcmp(recibido, LED3_ON);

      if(result==0)
      {
         OUTPUT_BIT(LED3,1);
         return;
      }

      result = strcmp(recibido, LED3_OFF);

      if(result==0)
      {
         OUTPUT_BIT(LED3,0);
         return;
      }
      return;
   }

}



void main()
{
   enable_interrupts(global);
   enable_interrupts(int_rda);

   while(TRUE)
   {


      //TODO: User Code
   }

}
